Importing pyglet

pyglet is a cross-platform games and multimedia package.

Detailed documentation is available at http://www.pyglet.org

options = {'search_local_libs': True, 'debug_win32': False, 'xlib_fullscreen_override_redirect': False, 'debug_trace_args': False, 'font': ('gdiplus', 'win32'), 'debug_gl_trace_args': False, 'debug_trace': False, 'debug_gl_trace': False, 'debug_x11': False, 'debug_media': False, 'debug_trace_depth': 1, 'vsync': None, 'debug_gl': True, 'darwin_cocoa': False, 'debug_trace_flush': True, 'shadow_window': True, 'xsync': True, 'debug_font': False, 'graphics_vbo': True, 'debug_lib': False, 'debug_graphics_batch': False, 'audio': ('directsound', 'pulse', 'openal', 'silent'), 'debug_texture': False}

Global dict of pyglet options. To change an option from its default, you must import pyglet before any sub-packages. For example:

import pyglet
pyglet.options['debug_gl'] = False

The default options can be overridden from the OS environment. The corresponding environment variable for each option key is prefaced by PYGLET_. For example, in Bash you can set the debug_gl option with:

PYGLET_DEBUG_GL=True; export PYGLET_DEBUG_GL

For options requiring a tuple of values, separate each value with a comma.

The non-development options are:

audio

A sequence of the names of audio modules to attempt to load, in order of preference. Valid driver names are:

  • directsound, the Windows DirectSound audio module (Windows only)
  • pulse, the PulseAudio module (Linux only)
  • openal, the OpenAL audio module
  • silent, no audio
debug_lib
If True, prints the path of each dynamic library loaded.
debug_gl
If True, all calls to OpenGL functions are checked afterwards for errors using glGetError. This will severely impact performance, but provides useful exceptions at the point of failure. By default, this option is enabled if __debug__ is (i.e., if Python was not run with the -O option). It is disabled by default when pyglet is “frozen” within a py2exe or py2app library archive.
shadow_window

By default, pyglet creates a hidden window with a GL context when pyglet.gl is imported. This allows resources to be loaded before the application window is created, and permits GL objects to be shared between windows even after they’ve been closed. You can disable the creation of the shadow window by setting this option to False.

Some OpenGL driver implementations may not support shared OpenGL contexts and may require disabling the shadow window (and all resources must be loaded after the window using them was created). Recommended for advanced developers only.

Since: pyglet 1.1

vsync
If set, the pyglet.window.Window.vsync property is ignored, and this option overrides it (to either force vsync on or off). If unset, or set to None, the pyglet.window.Window.vsync property behaves as documented.
xsync

If set (the default), pyglet will attempt to synchronise the drawing of double-buffered windows to the border updates of the X11 window manager. This improves the appearance of the window during resize operations. This option only affects double-buffered windows on X11 servers supporting the Xsync extension with a window manager that implements the _NET_WM_SYNC_REQUEST protocol.

Since: pyglet 1.1

darwin_cocoa

If True, the Cocoa-based pyglet implementation is used as opposed to the 32-bit Carbon implementation. When python is running in 64-bit mode on Mac OS X 10.6 or later, this option is set to True by default. Otherwise the Carbon implementation is preferred.

Since: pyglet 1.2

search_local_libs

If False, pyglet won’t try to search for libraries in the script directory and its lib subdirectory. This is useful to load a local library instead of the system installed version. This option is set to True by default.

Since: pyglet 1.2

version = '1.2alpha1'

The release version of this pyglet installation.

Valid only if pyglet was installed from a source or binary distribution (i.e. not in a checked-out copy from SVN).

Use setuptools if you need to check for a specific release version, e.g.:

>>> import pyglet
>>> from pkg_resources import parse_version
>>> parse_version(pyglet.version) >= parse_version('1.1')
True

Previous topic

get_platform Function

Next topic

Advanced topics